# PetscViewerSocketSetConnection

Sets the machine and port that a PETSc socket viewer is to use

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerSocketSetConnection(PetscViewer v,const char machine[],PetscInt port)

Collective on PetscViewer

### Input Parameters

| v | - viewer to connect
| machine | - host to connect to
| port | - the port on the machine one is connecting to

### See Also

PetscViewerSocketOpen()

Level:advanced
Location: src/sys/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages